using System;
using System.Collections;
using System.Collections.Generic;
using Server;
using Server.Items;
using Server.Mobiles;
using Server.ContextMenus;

namespace Server.Mobiles
{
	[CorpseName( "a beetle corpse" )]
	public class Beetle : BaseCreature
	{
		[Constructable]
		public Beetle() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a giant beetle";
			Body = 254;
			BaseSoundID = 0x4E5;

			SetStr( 296, 320 );
			SetDex( 81, 105 );
			SetInt( 36, 60 );

			SetHits( 180, 220 );
			SetMana( 0 );

			SetDamage( 7, 16 );

			SetSkill( SkillName.MagicResist, 60, 80.0 );
			SetSkill( SkillName.Tactics, 80, 100.0 );
			SetSkill( SkillName.HandToHand, 80, 100.0 );

			Fame = 4000;
			Karma = -4000;

			VirtualArmor = 24;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
		}

		public Beetle( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}